# Travis-CI Build for charybdis
# see travis-ci.org for details

language: c

# Use the faster container-based infrastructure.
sudo: false

matrix:
  include:
    - os: linux
      compiler: gcc
      addons:
        apt:
          sources: ['ubuntu-toolchain-r-test']
          packages: ['gcc-4.8']
      env: COMPILER=gcc-4.8

    - os: linux
      compiler: gcc
      addons:
        apt:
          sources: ['ubuntu-toolchain-r-test']
          packages: ['gcc-4.9']
      env: COMPILER=gcc-4.9

    - os: linux
      compiler: gcc
      addons:
        apt:
          sources: ['ubuntu-toolchain-r-test']
          packages: ['gcc-5']
      env: COMPILER=gcc-5

    - os: linux
      compiler: clang
      addons:
        apt:
          sources: ['ubuntu-toolchain-r-test', 'llvm-toolchain-precise-3.7']
          packages: ['clang-3.7']
      env: COMPILER=clang-3.7

    - os: osx
      compiler: clang
      env: COMPILER=clang

osx_image: xcode7.3

cache:
  apt:
  ccache:

script:
  - aclocal -I m4
  - autoconf
  - automake
  - CC=$COMPILER ./configure
  - make -j4
  - make install
